TechDraw Dimensión Ángulo

From FreeCAD Documentation
Revision as of 16:59, 14 November 2021 by Roy 043 (talk | contribs)

TechDraw Dimensión Ángulo

Ubicación en el Menú
TechDraw → Dimensión Ángulo
Entornos de trabajo
TechDraw
Atajo de teclado por defecto
Ninguno
Introducido en versión
-
Ver también
TechDraw Dimensión Ángulo3Ps

Descripción

The Angle Dimension tool adds a angular dimension to a View. The dimension may be the interior angle between any two straight line edges. The angle will initially be the projected angle (ie as shown on the drawing), but this may be changed to the actual 3D distance using the TechDraw LinkDimension tool.

Measuring the angle between two straight lines

Utilización

  1. Select the points or edge which define your measurement.
  2. Press the Angle Dimension button
  3. A dimension will be added to the View. The dimension may be dragged to the desired position.
  4. If needed, add tolerances as described in this page.

To change the properties of a dimension object either double-clicking it in the drawing or in the Tree view. This will open the dimension dialog.

Limitaciones

Dimension objects are vulnerable to the "topological naming problem". See TechDraw LengthDimension for more information.

Propiedades

See TechDraw LengthDimension.

Scripting

See also: TechDraw API and FreeCAD Scripting Basics.

The Angle Dimension tool can be used in macros and from the Python console by using the following functions:

dim1 = FreeCAD.ActiveDocument.addObject('TechDraw::DrawViewDimension','Dimension')
dim1.Type = "Angle"
dim1.References2D=[(view1, 'Edge1')]
rc = page.addView(dim1)